# CRUD: Retrieve a usage record Retrieve a usage record. Endpoint: GET /v1/object/usage/{id} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `fields` (string) Object fields to return ## Path parameters: - `id` (string, required) Object id ## Response 200 fields (application/json): - `AccountId` (string) The ID of the account associated with the usage data. This field is required if no value is specified for the AccountNumber field. Character limit: 32 Values: a valid account ID - `AccountNumber` (string) The number of the account associated with the usage data. This field is required if no value is specified for the AccountId field. Character limit: 50 Values: a valid account number - `ChargeId` (string) The OrginalId of the rate plan charge related to the usage record, e.g., 2c9081a03c63c94c013c6873357a0117 Character limit: 32 Values: a valid rate plan charge OriginalID - `CreatedById` (string) The user ID of the person who uploaded the usage records. Character limit: 32 Values: automatically generated - `CreatedDate` (string) The date when the usage was generated. Character limit: 29 Values: automatically generated - `Description` (string) A description of the usage record. - `EndDateTime` (string) The end date and time of a range of time when usage is tracked. Use this field for reporting; this field doesn't affect usage calculation. Character limit: 29 Values: a valid date and time value - `Id` (string) Object identifier. - `ProductRatePlanChargeNumber` (string) Specify a product rate plan charge number so that you can charge your customer with a dynamic usage charge for the corresponding uploaded usage record. To use this field, you must set the X-Zuora-WSDL-Version request header to 146 or higher. Otherwise, an error occurs. Note: This field is only available if you have the Dynamic Usage Charges feature enabled. - `Quantity` (number) Indicates the number of units used. Character limit: 16 Values: A valid decimal amount. - `RbeStatus` (string) Indicates if the rating and billing engine (RBE) processed usage data for an invoice. Character limit: 9 Values: automatically generated to be one of the following values: Importing, Pending, Processed - `SourceType` (string) Indicates if the usage records were imported from the web-based UI or the API. Character limit: 6 Values: automatically generated to be one of the following values: API, Import - `StartDateTime` (string) The start date and time of a range of time when usage is tracked. Zuora uses this field value to determine the usage date. Unlike the EndDateTime, the StartDateTime field does affect usage calculation. Character limit: 29 Values: a valid date and time value - `SubscriptionId` (string) The original ID of the subscription that contains the fees related to the usage data. Character limit: 32 Values: a valid subscription ID - `SubscriptionNumber` (string) The unique identifier number of the subscription that contains the fees related to the usage data. - `UOM` (string) Specifies the units to measure usage. Units of measure are configured in the web-based UI. Your values depend on your configuration in Billing Settings. Character limit: Values: a valid unit of measure - `UpdatedById` (string) The ID of the user who last updated the usage upload. Character limit: 32 Values: automatically generated - `UpdatedDate` (string) The date when the usage upload was last updated. Character limit: 29 Values: automatically generated ## Response 401 fields (application/json): - `message` (string) Error message. If the error message is "Authentication error", ensure that the Authorization request header contains valid authentication credentials, then retry the request. See [Authentication](https://developer.zuora.com/docs/guides/authentication/) for more information. If the error message is "Failed to get user info", retry the request. ## Response 404 fields (application/json): - `done` (boolean) - `records` (array) - `size` (integer)